/*
g++ -Wall -O3 -lm -lX11 -o find_X11_fontpaths find_X11_fontpaths.cpp
// g++ `sdl-config --cflags` -Wall -O3 -DLINUX -DVERSION=\"0.0.1\" `sdl-config --libs` -lSDL_image -lSDL_ttf -o find_X11_fontpaths find_X11_fontpaths.cpp
*/

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
//  #include <SDL_ttf.h>
#include <X11/Xlib.h>

int main(int argc, char *argv[])
{
        int i,number;
        Display* dpy = XOpenDisplay(NULL);
        char** font_path_list = XGetFontPath(dpy,&number);
        XCloseDisplay(dpy);

        for(i=0;i<number;i++)
            printf("%s\n",*(font_path_list+i));

        XFreeFontPath(font_path_list);

	return(0);
}